0e32d5d9df
- resolves: #249423: scripts in /etc/rc.d/init.d/* are marked as config files in specfile - resolves: #247040: Initscript Review - resolves: #249538: Inconsistencies in init scripts - resolves: #220531: quagga: non-failsafe install-info usage, info files removed from index on update
693 lines
16 KiB
Diff
693 lines
16 KiB
Diff
--- quagga-0.99.7/redhat/ospf6d.init.initscript 2007-07-26 15:16:34.000000000 +0200
|
|
+++ quagga-0.99.7/redhat/ospf6d.init 2007-07-30 15:11:15.000000000 +0200
|
|
@@ -1,10 +1,11 @@
|
|
#!/bin/bash
|
|
-#
|
|
+### BEGIN INIT INFO
|
|
+# Provides: ospf6d
|
|
# chkconfig: - 16 84
|
|
-# description: An OSPF routing engine for use with Zebra and IPv6
|
|
-#
|
|
-# processname: ospf6d
|
|
# config: /etc/quagga/ospf6d.conf
|
|
+# Short-Description: A OSPF routing engine for IPv6
|
|
+# Description: An OSPF routing engine for use with Zebra and IPv6
|
|
+### END INIT INFO
|
|
|
|
# source function library
|
|
. /etc/rc.d/init.d/functions
|
|
@@ -15,28 +16,31 @@
|
|
# quagga command line options
|
|
. /etc/sysconfig/quagga
|
|
|
|
-# Check that networking is up.
|
|
-[ "${NETWORKING_IPV6}" = "no" ] && exit 0
|
|
-
|
|
-# The process must be configured first.
|
|
-[ -f /etc/quagga/ospf6d.conf ] || exit 0
|
|
-
|
|
RETVAL=0
|
|
-prog="ospf6d"
|
|
+PROG="ospf6d"
|
|
+cmd=ospf6d
|
|
+LOCK_FILE=/var/lock/subsys/ospf6d
|
|
+CONF_FILE=/etc/quagga/ospf6d.conf
|
|
|
|
case "$1" in
|
|
start)
|
|
- echo -n $"Starting $prog: "
|
|
- daemon /usr/sbin/ospf6d -d $OSPF6D_OPTS
|
|
+ # Check that networking is up.
|
|
+ [ "${NETWORKING}" = "no" ] && exit 1
|
|
+
|
|
+ # The process must be configured first.
|
|
+ [ -f $CONF_FILE ] || exit 6
|
|
+
|
|
+ echo -n $"Starting $PROG: "
|
|
+ daemon $cmd -d $OSPF6D_OPTS
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ospf6d
|
|
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
|
|
echo
|
|
;;
|
|
stop)
|
|
- echo -n $"Shutting down $prog: "
|
|
- killproc ospf6d
|
|
+ echo -n $"Shutting down $PROG: "
|
|
+ killproc $cmd
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ospf6d
|
|
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
|
|
echo
|
|
;;
|
|
restart|reload)
|
|
@@ -45,19 +49,19 @@
|
|
RETVAL=$?
|
|
;;
|
|
condrestart)
|
|
- if [ -f /var/lock/subsys/ospf6d ]; then
|
|
+ if [ -f $LOCK_FILE ]; then
|
|
$0 stop
|
|
$0 start
|
|
fi
|
|
RETVAL=$?
|
|
;;
|
|
status)
|
|
- status ospf6d
|
|
+ status $cmd
|
|
RETVAL=$?
|
|
;;
|
|
*)
|
|
echo $"Usage: $prog {start|stop|restart|reload|condrestart|status}"
|
|
- exit 1
|
|
+ exit 2
|
|
esac
|
|
|
|
exit $RETVAL
|
|
--- quagga-0.99.7/redhat/isisd.init.initscript 2007-07-26 15:16:34.000000000 +0200
|
|
+++ quagga-0.99.7/redhat/isisd.init 2007-07-30 14:56:49.000000000 +0200
|
|
@@ -1,10 +1,11 @@
|
|
#!/bin/bash
|
|
-#
|
|
+### BEGIN INIT INFO
|
|
+# Provides: isisd
|
|
# chkconfig: - 16 84
|
|
-# description: An ISIS routing engine for use with Quagga
|
|
-#
|
|
-# processname: isisd
|
|
# config: /etc/quagga/isisd.conf
|
|
+# Short-Description: An ISIS routing engine
|
|
+# description: An ISIS routing engine for use with Quagga
|
|
+### END INIT INFO
|
|
|
|
# source function library
|
|
. /etc/rc.d/init.d/functions
|
|
@@ -12,29 +13,31 @@
|
|
# Get network config
|
|
. /etc/sysconfig/network
|
|
|
|
-# Check that networking is up.
|
|
-[ "${NETWORKING}" = "no" ] && exit 0
|
|
-
|
|
-# The process must be configured first.
|
|
-[ -f /etc/quagga/isisd.conf ] || exit 0
|
|
-
|
|
RETVAL=0
|
|
-
|
|
-prog="isisd"
|
|
+PROG="isisd"
|
|
+cmd=isisd
|
|
+LOCK_FILE=/var/lock/subsys/isisd
|
|
+CONF_FILE=/etc/quagga/isisd.conf
|
|
|
|
case "$1" in
|
|
start)
|
|
- echo -n $"Starting $prog: "
|
|
- daemon /usr/sbin/isisd -d
|
|
+ # Check that networking is up.
|
|
+ [ "${NETWORKING}" = "no" ] && exit 1
|
|
+
|
|
+ # The process must be configured first.
|
|
+ [ -f $CONF_FILE] || exit 6
|
|
+
|
|
+ echo -n $"Starting $PROG: "
|
|
+ daemon $cmd -d
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/isisd
|
|
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
|
|
echo
|
|
;;
|
|
stop)
|
|
- echo -n $"Shutting down $prog: "
|
|
- killproc isisd
|
|
+ echo -n $"Shutting down $PROG: "
|
|
+ killproc $cmd
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/isisd
|
|
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
|
|
echo
|
|
;;
|
|
restart|reload)
|
|
@@ -43,19 +46,19 @@
|
|
RETVAL=$?
|
|
;;
|
|
condrestart)
|
|
- if [ -f /var/lock/subsys/isisd ]; then
|
|
+ if [ -f $LOCK_FILE ]; then
|
|
$0 stop
|
|
$0 start
|
|
fi
|
|
RETVAL=$?
|
|
;;
|
|
status)
|
|
- status isisd
|
|
+ status $cmd
|
|
RETVAL=$?
|
|
;;
|
|
*)
|
|
echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
|
|
- exit 1
|
|
+ exit 2
|
|
esac
|
|
|
|
exit $RETVAL
|
|
--- quagga-0.99.7/redhat/ospfd.init.initscript 2007-07-26 15:16:34.000000000 +0200
|
|
+++ quagga-0.99.7/redhat/ospfd.init 2007-07-30 15:24:41.000000000 +0200
|
|
@@ -1,10 +1,11 @@
|
|
#!/bin/bash
|
|
-#
|
|
+### BEGIN INIT INFO
|
|
+# Provides: ospfd
|
|
# chkconfig: - 16 84
|
|
-# description: An OSPF v2 routing engine for use with Zebra
|
|
-#
|
|
-# processname: ospfd
|
|
# config: /etc/quagga/ospfd.conf
|
|
+# Short-Description: A OSPF v2 routing engine
|
|
+# Description: An OSPF v2 routing engine for use with Zebra
|
|
+### END INIT INFO
|
|
|
|
# source function library
|
|
. /etc/rc.d/init.d/functions
|
|
@@ -15,29 +16,31 @@
|
|
# quagga command line options
|
|
. /etc/sysconfig/quagga
|
|
|
|
-# Check that networking is up.
|
|
-[ "${NETWORKING}" = "no" ] && exit 0
|
|
-
|
|
-# The process must be configured first.
|
|
-[ -f /etc/quagga/ospfd.conf ] || exit 0
|
|
-
|
|
RETVAL=0
|
|
-
|
|
-prog="ospfd"
|
|
+PROG="ospfd"
|
|
+cmd=ospfd
|
|
+LOCK_FILE=/var/lock/subsys/ospf6d
|
|
+CONF_FILE=/etc/quagga/ospf6d.conf
|
|
|
|
case "$1" in
|
|
start)
|
|
- echo -n $"Starting $prog: "
|
|
- daemon /usr/sbin/ospfd -d $OSPFD_OPTS
|
|
+ # Check that networking is up.
|
|
+ [ "${NETWORKING}" = "no" ] && exit 1
|
|
+
|
|
+ # The process must be configured first.
|
|
+ [ -f $CONF_FILE ] || exit 6
|
|
+
|
|
+ echo -n $"Starting $PROG: "
|
|
+ daemon $cmd -d $OSPFD_OPTS
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ospfd
|
|
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
|
|
echo
|
|
;;
|
|
stop)
|
|
- echo -n $"Shutting down $prog: "
|
|
- killproc ospfd
|
|
+ echo -n $"Shutting down $PROG: "
|
|
+ killproc $cmd
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ospfd
|
|
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
|
|
echo
|
|
;;
|
|
restart|reload)
|
|
@@ -46,19 +49,19 @@
|
|
RETVAL=$?
|
|
;;
|
|
condrestart)
|
|
- if [ -f /var/lock/subsys/ospfd ]; then
|
|
+ if [ -f $LOCK_FILE ]; then
|
|
$0 stop
|
|
$0 start
|
|
fi
|
|
RETVAL=$?
|
|
;;
|
|
status)
|
|
- status ospfd
|
|
+ status $cmd
|
|
RETVAL=$?
|
|
;;
|
|
*)
|
|
echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
|
|
- exit 1
|
|
+ exit 2
|
|
esac
|
|
|
|
exit $RETVAL
|
|
--- quagga-0.99.7/redhat/watchquagga.init.initscript 2004-12-22 04:02:46.000000000 +0100
|
|
+++ quagga-0.99.7/redhat/watchquagga.init 2007-07-31 10:09:07.000000000 +0200
|
|
@@ -1,9 +1,10 @@
|
|
#!/bin/bash
|
|
-#
|
|
+### BEGIN INIT INFO
|
|
+# Provides: watchquagga
|
|
# chkconfig: 2345 17 83
|
|
-# description: A Quagga watchdog for use with Zebra
|
|
-#
|
|
-# processname: watchquagga
|
|
+# Short-Description: A Quagga watchdog
|
|
+# Description: A Quagga watchdog for use with Zebra
|
|
+### END INIT INFO
|
|
|
|
# source function library
|
|
. /etc/rc.d/init.d/functions
|
|
@@ -14,28 +15,30 @@
|
|
# quagga command line options
|
|
. /etc/sysconfig/quagga
|
|
|
|
-# Check that networking is up.
|
|
-[ "${NETWORKING}" = "no" ] && exit 0
|
|
-
|
|
-# Check that there are daemons to be monitored.
|
|
-[ -z "$WATCH_DAEMONS" ] && exit 0
|
|
-
|
|
RETVAL=0
|
|
-prog="watchquagga"
|
|
+PROG="watchquagga"
|
|
+cmd=watchquagga
|
|
+LOCK_FILE=/var/lock/subsys/watchquagga
|
|
|
|
case "$1" in
|
|
start)
|
|
+ # Check that networking is up.
|
|
+ [ "${NETWORKING}" = "no" ] && exit 1
|
|
+
|
|
+ # Check that there are daemons to be monitored.
|
|
+ [ -z "$WATCH_DAEMONS" ] && exit 1
|
|
+
|
|
echo -n $"Starting $prog: "
|
|
- daemon /usr/sbin/watchquagga -d $WATCH_OPTS $WATCH_DAEMONS
|
|
+ daemon $cmd -d $WATCH_OPTS $WATCH_DAEMONS
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/watchquagga
|
|
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
|
|
echo
|
|
;;
|
|
stop)
|
|
- echo -n $"Shutting down $prog: "
|
|
- killproc watchquagga
|
|
+ echo -n $"Shutting down $PROG: "
|
|
+ killproc $cmg
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/watchquagga
|
|
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
|
|
echo
|
|
;;
|
|
restart|reload)
|
|
@@ -44,19 +47,19 @@
|
|
RETVAL=$?
|
|
;;
|
|
condrestart)
|
|
- if [ -f /var/lock/subsys/watchquagga ]; then
|
|
+ if [ -f $LOCK_FILE ]; then
|
|
$0 stop
|
|
$0 start
|
|
fi
|
|
RETVAL=$?
|
|
;;
|
|
status)
|
|
- status watchquagga
|
|
+ status $cmd
|
|
RETVAL=$?
|
|
;;
|
|
*)
|
|
echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
|
|
- exit 1
|
|
+ exit 2
|
|
esac
|
|
|
|
exit $RETVAL
|
|
--- quagga-0.99.7/redhat/bgpd.init.initscript 2007-07-26 15:16:34.000000000 +0200
|
|
+++ quagga-0.99.7/redhat/bgpd.init 2007-07-30 13:07:40.000000000 +0200
|
|
@@ -1,10 +1,11 @@
|
|
#!/bin/bash
|
|
-#
|
|
+### BEGIN INIT INFO
|
|
+# Provides: bgpd
|
|
# chkconfig: - 16 84
|
|
-# description: A BGPv4, BGPv4+, BGPv4- routing engine for use with Zebra
|
|
-#
|
|
-# processname: bgpd
|
|
-# config: /etc/zebra/bgpd.conf
|
|
+# config: /etc/quagga/bgpd.conf
|
|
+# Short-Description: A BGPv4, BGPv4+, BGPv4- routing engine
|
|
+# Description: A BGPv4, BGPv4+, BGPv4- routing engine for use with Zebra
|
|
+### END INIT INFO
|
|
|
|
# source function library
|
|
. /etc/rc.d/init.d/functions
|
|
@@ -15,28 +16,32 @@
|
|
# quagga command line options
|
|
. /etc/sysconfig/quagga
|
|
|
|
-# Check that networking is up.
|
|
-[ "${NETWORKING}" = "no" ] && exit 0
|
|
-
|
|
-# The process must be configured first.
|
|
-[ -f /etc/quagga/bgpd.conf ] || exit 0
|
|
|
|
RETVAL=0
|
|
-prog="bgpd"
|
|
+PROG="bgpd"
|
|
+cmd=bgpd
|
|
+LOCK_FILE=/var/lock/subsys/bgpd
|
|
+CONF_FILE=/etc/quagga/bgpd.conf
|
|
|
|
case "$1" in
|
|
start)
|
|
- echo -n $"Starting $prog: "
|
|
- daemon /usr/sbin/bgpd -d $BGPD_OPTS
|
|
+ # Check that networking is up.
|
|
+ [ "${NETWORKING}" = "no" ] && exit 1
|
|
+
|
|
+ # The process must be configured first.
|
|
+ [ -f $CONF_FILE ] || exit 6
|
|
+
|
|
+ echo -n $"Starting $PROG: "
|
|
+ daemon $cmd -d $BGPD_OPTS
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/bgpd
|
|
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
|
|
echo
|
|
;;
|
|
stop)
|
|
- echo -n $"Shutting down $prog: "
|
|
- killproc bgpd
|
|
+ echo -n $"Shutting down $PROG: "
|
|
+ killproc $cmd
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/bgpd
|
|
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
|
|
echo
|
|
;;
|
|
restart|reload)
|
|
@@ -45,19 +50,19 @@
|
|
RETVAL=$?
|
|
;;
|
|
condrestart)
|
|
- if [ -f /var/lock/subsys/bgpd ]; then
|
|
+ if [ -f $LOCK_FILE ]; then
|
|
$0 stop
|
|
$0 start
|
|
fi
|
|
RETVAL=$?
|
|
;;
|
|
status)
|
|
- status bgpd
|
|
+ status $cmd
|
|
RETVAL=$?
|
|
;;
|
|
*)
|
|
echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
|
|
- exit 1
|
|
+ exit 2
|
|
esac
|
|
|
|
exit $RETVAL
|
|
--- quagga-0.99.7/redhat/ripngd.init.initscript 2007-07-26 15:16:34.000000000 +0200
|
|
+++ quagga-0.99.7/redhat/ripngd.init 2007-07-30 15:49:06.000000000 +0200
|
|
@@ -1,10 +1,11 @@
|
|
#!/bin/bash
|
|
-#
|
|
+### BEGIN INIT INFO
|
|
+# Provides: ripngd
|
|
# chkconfig: - 16 84
|
|
-# description: A RIP routing engine for use with Zebra and IPv6
|
|
-#
|
|
-# processname: ripngd
|
|
# config: /etc/quagga/ripngd.conf
|
|
+# Short-Description: A RIP routing engine for IPv6
|
|
+# Description: A RIP routing engine for use with Zebra and IPv6
|
|
+### END INIT INFO
|
|
|
|
# source function library
|
|
. /etc/rc.d/init.d/functions
|
|
@@ -15,28 +16,31 @@
|
|
# quagga command line options
|
|
. /etc/sysconfig/quagga
|
|
|
|
-# Check that networking is up.
|
|
-[ "${NETWORKING_IPV6}" = "no" ] && exit 0
|
|
-
|
|
-# The process must be configured first.
|
|
-[ -f /etc/quagga/ripngd.conf ] || exit 0
|
|
-
|
|
RETVAL=0
|
|
-prog="ripngd"
|
|
+PROG="ripngd"
|
|
+cmd=ripngd
|
|
+LOCK_FILE=/var/lock/subsys/ripngd
|
|
+CONF_FILE=/etc/quagga/ripngd.conf
|
|
|
|
case "$1" in
|
|
start)
|
|
- echo -n $"Starting $prog: "
|
|
- daemon /usr/sbin/ripngd -d $RIPNGD_OPTS
|
|
+ # Check that networking is up.
|
|
+ [ "${NETWORKING}" = "no" ] && exit 1
|
|
+
|
|
+ # The process must be configured first.
|
|
+ [ -f $CONF_FILE ] || exit 6
|
|
+
|
|
+ echo -n $"Starting $PROG: "
|
|
+ daemon $cmd -d $RIPNGD_OPTS
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ripngd
|
|
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
|
|
echo
|
|
;;
|
|
stop)
|
|
- echo -n $"Shutting down $prog: "
|
|
- killproc ripngd
|
|
+ echo -n $"Shutting down $PROG: "
|
|
+ killproc $cmd
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ripngd
|
|
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
|
|
echo
|
|
;;
|
|
restart|reload)
|
|
@@ -45,19 +49,19 @@
|
|
RETVAL=$?
|
|
;;
|
|
condrestart)
|
|
- if [ -f /var/lock/subsys/ripngd ]; then
|
|
+ if [ -f $LOCK_FILE ]; then
|
|
$0 stop
|
|
$0 start
|
|
fi
|
|
RETVAL=$?
|
|
;;
|
|
status)
|
|
- status ripngd
|
|
+ status $cmd
|
|
RETVAL=$?
|
|
;;
|
|
*)
|
|
echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
|
|
- exit 1
|
|
+ exit 2
|
|
esac
|
|
|
|
exit $RETVAL
|
|
--- quagga-0.99.7/redhat/zebra.init.initscript 2007-07-26 15:16:34.000000000 +0200
|
|
+++ quagga-0.99.7/redhat/zebra.init 2007-07-31 10:16:30.000000000 +0200
|
|
@@ -1,10 +1,11 @@
|
|
#!/bin/bash
|
|
-#
|
|
+### BEGIN INIT INFO
|
|
+# Provides: zebra
|
|
# chkconfig: - 15 85
|
|
-# description: GNU Zebra routing manager
|
|
-#
|
|
-# processname: zebra
|
|
# config: /etc/quagga/zebra.conf
|
|
+# Short-Description: GNU Zebra routing manager
|
|
+# Description: GNU Zebra routing manager
|
|
+### END INIT INFO
|
|
|
|
# source function library
|
|
. /etc/rc.d/init.d/functions
|
|
@@ -12,32 +13,34 @@
|
|
# quagga command line options
|
|
. /etc/sysconfig/quagga
|
|
|
|
-# Check that networking is up.
|
|
-[ "${NETWORKING}" = "no" ] && exit 0
|
|
-
|
|
-# The process must be configured first.
|
|
-[ -f /etc/quagga/zebra.conf ] || exit 0
|
|
-
|
|
RETVAL=0
|
|
-
|
|
-prog="zebra"
|
|
+PROG="zebra"
|
|
+cmd=zebra
|
|
+LOCK_FILE=/var/lock/subsys/zebra
|
|
+CONF_FILE=/etc/quagga/zebra.conf
|
|
|
|
case "$1" in
|
|
start)
|
|
- echo -n $"Starting $prog: "
|
|
+ # Check that networking is up.
|
|
+ [ "${NETWORKING}" = "no" ] && exit 1
|
|
+
|
|
+ # The process must be configured first.
|
|
+ [ -f $CONF_FILE ] || exit 6
|
|
+
|
|
+ echo -n $"Starting $PROG: "
|
|
|
|
/sbin/ip route flush proto zebra
|
|
|
|
- daemon /usr/sbin/zebra -d $ZEBRA_OPTS
|
|
+ daemon $cmd -d $ZEBRA_OPTS
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/zebra
|
|
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
|
|
echo
|
|
;;
|
|
stop)
|
|
- echo -n $"Shutting down $prog: "
|
|
- killproc zebra
|
|
+ echo -n $"Shutting down $PROG: "
|
|
+ killproc $cmd
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/zebra
|
|
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
|
|
echo
|
|
;;
|
|
restart|reload)
|
|
@@ -46,19 +49,19 @@
|
|
RETVAL=$?
|
|
;;
|
|
condrestart)
|
|
- if [ -f /var/lock/subsys/zebra ]; then
|
|
+ if [ -f $LOCK_FILE ]; then
|
|
$0 stop
|
|
$0 start
|
|
fi
|
|
RETVAL=$?
|
|
;;
|
|
status)
|
|
- status zebra
|
|
+ status $cmd
|
|
RETVAL=$?
|
|
;;
|
|
*)
|
|
echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
|
|
- exit 1
|
|
+ exit 2
|
|
esac
|
|
|
|
exit $RETVAL
|
|
--- quagga-0.99.7/redhat/ripd.init.initscript 2007-07-26 15:16:34.000000000 +0200
|
|
+++ quagga-0.99.7/redhat/ripd.init 2007-07-30 15:45:01.000000000 +0200
|
|
@@ -1,10 +1,11 @@
|
|
#!/bin/bash
|
|
-#
|
|
+### BEGIN INIT INFO
|
|
+# Provides: ripd
|
|
# chkconfig: - 16 84
|
|
-# description: A RIP routing engine for use with Zebra
|
|
-#
|
|
-# processname: ripd
|
|
# config: /etc/quagga/ripd.conf
|
|
+# Short-Description: A RIP routing engine
|
|
+# Description: A RIP routing engine for use with Zebra
|
|
+### END INIT INFO
|
|
|
|
# source function library
|
|
. /etc/rc.d/init.d/functions
|
|
@@ -15,28 +16,31 @@
|
|
# quagga command line options
|
|
. /etc/sysconfig/quagga
|
|
|
|
-# Check that networking is up.
|
|
-[ "${NETWORKING}" = "no" ] && exit 0
|
|
-
|
|
-# The process must be configured first.
|
|
-[ -f /etc/quagga/ripd.conf ] || exit 0
|
|
-
|
|
RETVAL=0
|
|
-prog="ripd"
|
|
+PROG="ripd"
|
|
+cmd=ripd
|
|
+LOCK_FILE=/var/lock/subsys/ripd
|
|
+CONF_FILE=/etc/quagga/ripd.conf
|
|
|
|
case "$1" in
|
|
start)
|
|
- echo -n $"Starting $prog: "
|
|
- daemon /usr/sbin/ripd -d $RIPD_OPTS
|
|
+ # Check that networking is up.
|
|
+ [ "${NETWORKING}" = "no" ] && exit 1
|
|
+
|
|
+ # The process must be configured first.
|
|
+ [ -f $CONF_FILE ] || exit 6
|
|
+
|
|
+ echo -n $"Starting $PROG: "
|
|
+ daemon $cmd -d $RIPD_OPTS
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ripd
|
|
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
|
|
echo
|
|
;;
|
|
stop)
|
|
- echo -n $"Shutting down $prog: "
|
|
- killproc ripd
|
|
+ echo -n $"Shutting down $PROG: "
|
|
+ killproc $cmd
|
|
RETVAL=$?
|
|
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ripd
|
|
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
|
|
echo
|
|
;;
|
|
restart|reload)
|
|
@@ -45,19 +49,19 @@
|
|
RETVAL=$?
|
|
;;
|
|
condrestart)
|
|
- if [ -f /var/lock/subsys/ripd ]; then
|
|
+ if [ -f $LOCK_FILE ]; then
|
|
$0 stop
|
|
$0 start
|
|
fi
|
|
RETVAL=$?
|
|
;;
|
|
status)
|
|
- status ripd
|
|
+ status $cmd
|
|
RETVAL=$?
|
|
;;
|
|
*)
|
|
echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
|
|
- exit 1
|
|
+ exit 2
|
|
esac
|
|
|
|
exit $RETVAL
|